Subject: deposit today
From: "Patricia Finan" <[email-masked]>
To: "Linda @ Parcells" <[email-masked]>, "Katy Parcells" <[email-masked]>
Date: Mon, 20 Sep 2004 11:23:45 -0400

Hi - I'm making a deposit today. 
Total = $929

Check 1695 for $20 - tours
Check 4931 for $9 - not sure what for - can't track it back to anything
Check 3475 - RLD for $100 - It's from Betsy's friend Ev - I'll send down the info tomorrow
$400 from sale of wood (not on deposit sheet)
$400 from museum take

Questions - I'll be in the office tomorrow. 
Patty Finan
Huron City Museums
7995 Pioneer Drive
Port Austin MI 48467
989-738-6007